
QGIS Application - Bug report #6504

Segfault on Mac OS X with new QgsRasterBlock class

2012-10-12 01:22 PM - Larry Shaffer

Status: Closed

Priority: Severe/Regression

Assignee: Radim Blazek

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 15723

Description

The segfault occurs when loading some projects with raster layers and when running raster unit tests.

The unittests are:

qgis_composerscalebartest - http://dash.orfeo-toolbox.org/testDetails.php?test=12507593&#38;build=98288

qgis_projectionissues - http://dash.orfeo-toolbox.org/testDetails.php?test=12507595&#38;build=98288

Attached are the Mac OS X crash reports for each. (there is a  <-!!! at the end of the line where QgsRasterBlock might be causing the

issue )

History

#1 - 2012-10-15 06:44 AM - Radim Blazek

Fixed in commit:000f689.

The problem was in QgsRasterProjector::block() using wrong indexes to in/out blocks.

#2 - 2012-10-15 06:45 AM - Radim Blazek

- Resolution set to fixed

- Status changed from Open to Closed

Files

qgis_composerscalebartest_2012-10-12-083430_larrys-imac-crash.txt 53.5 KB 2012-10-12 Larry Shaffer

qgis_projectionissues_2012-10-12-083437_larrys-imac-crash.txt 52.2 KB 2012-10-12 Larry Shaffer
